ghc-7.0.3: The GHC API

CostCentre

# Documentation

data CostCentre Source

Constructors

NoCostCentre |
NormalCC |

Fields

cc_name :: CcName
cc_mod :: Module
cc_is_dupd :: IsDupdCC
cc_is_caf :: IsCafCC

AllCafsCC |

Fields

cc_mod :: Module

Instances

Eq CostCentre |
Data CostCentre |
Ord CostCentre |
Typeable CostCentre |
Outputable CostCentre |
Binary CostCentre |

type CcName = FastString Source

data IsDupdCC Source

Constructors

OriginalCC |
DupdCC |

Instances

Data IsDupdCC |
Typeable IsDupdCC |
Binary IsDupdCC |

data IsCafCC Source

Constructors

CafCC |
NotCafCC |

Instances

Data IsCafCC |
Typeable IsCafCC |
Binary IsCafCC |

data CostCentreStack Source

Instances

Eq CostCentreStack |
Ord CostCentreStack |
Outputable CostCentreStack |

type CollectedCCs = ([CostCentre], [CostCentre], [CostCentreStack])Source

noCCS :: CostCentreStack Source

subsumedCCS :: CostCentreStack Source

currentCCS :: CostCentreStack Source

overheadCCS :: CostCentreStack Source

dontCareCCS :: CostCentreStack Source

noCostCentre :: CostCentre Source

noCCAttached :: CostCentre -> Bool Source

noCCSAttached :: CostCentreStack -> Bool Source

isCurrentCCS :: CostCentreStack -> Bool Source

isSubsumedCCS :: CostCentreStack -> Bool Source

currentOrSubsumedCCS :: CostCentreStack -> Bool Source

isDerivedFromCurrentCCS :: CostCentreStack -> Bool Source

maybeSingletonCCS :: CostCentreStack -> Maybe CostCentre Source

decomposeCCS :: CostCentreStack -> ([CostCentre], CostCentreStack)Source

pushCCisNop :: CostCentre -> CostCentreStack -> Bool Source

mkUserCC :: FastString -> Module -> CostCentre Source

mkAutoCC :: Id -> Module -> IsCafCC -> CostCentre Source

mkAllCafsCC :: Module -> CostCentre Source

mkSingletonCCS :: CostCentre -> CostCentreStack Source

dupifyCC :: CostCentre -> CostCentre Source

pushCCOnCCS :: CostCentre -> CostCentreStack -> CostCentreStack Source

isCafCCS :: CostCentreStack -> Bool Source

isCafCC :: CostCentre -> Bool Source

isSccCountCostCentre :: CostCentre -> Bool Source

sccAbleCostCentre :: CostCentre -> Bool Source

ccFromThisModule :: CostCentre -> Module -> Bool Source

pprCostCentreCore :: CostCentre -> SDoc Source

costCentreUserName :: CostCentre -> String Source

cmpCostCentre :: CostCentre -> CostCentre -> Ordering Source